import { FileResponse, RetrieveResult } from '@sf/sdr';
import { SfCommand } from '@salesforce/sf-plugins-core';
export declare type RetrieveMetadataResult = FileResponse[];
export default class RetrieveMetadata extends SfCommand<RetrieveMetadataResult> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static flags: {
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string>;
        manifest: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        metadata: import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        'package-name': import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        'source-dir': import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<string>;
        wait: import("@oclif/core/lib/interfaces").OptionFlag<number>;
    };
    static configurationVariablesSection: {
        header: string;
        body: string | [string, string][] | import("@oclif/core").HelpSectionKeyValueTable;
    };
    static envVariablesSection: {
        header: string;
        body: string | [string, string][] | import("@oclif/core").HelpSectionKeyValueTable;
    };
    protected retrieveResult: RetrieveResult;
    run(): Promise<RetrieveMetadataResult>;
}
